lucene-solr-user mailing list archives

Site index · List index
Message view « Date » · « Thread »
Top « Date » · « Thread »
From "Jack Krupansky" <j...@basetechnology.com>
Subject Re: SolrJ dependencies
Date Tue, 12 Jun 2012 15:34:07 GMT
Maybe the migration from the "EOL" Commons HTTP Client to HTTP Components 
has something to do with this. The wiki probably needs Solr release-specific 
instructions. And maybe the lib folder is not quite right.

You can read about the migration here:
https://issues.apache.org/jira/browse/SOLR-2020

So, maybe you have some migration to do as well, or maybe something isn't 
quite right.

-- Jack Krupansky

-----Original Message----- 
From: Thijs
Sent: Tuesday, June 12, 2012 9:22 AM
To: solr-user@lucene.apache.org
Subject: SolrJ dependencies

Hi
I just checked out and build solr&lucene from branches/lucene_4x

I wanted to upgrade my custom client to this new version (using solrj).
So I copied lucene/solr/dist/apache-solr-solrj-4.0-SNAPSHOT.jar &
lucene/solr/dist/apache-solr-core-4.0-SNAPSHOT.jar to my project and I
updated the other libs from the libs in /solr/dist/solrj-lib

However, when I wanted to run my client I got exceptions indicating that
I was missing the HTTPClient jars. (httpclient, htpcore,httpmime)
Shouldn't those go into lucene/solr/dist/solrj-lib as wel?
Do I need to create a ticket for this?

Thijs



Mime
View raw message